Loading...
Searching...
No Matches
crc64_ctx Struct Reference

Minimal ECMA-182 CRC64 incremental state container (running value only). More...

`#include <aaruformat/crc64.h>`

## Data Fields

uint64_t | crc
| Running CRC value (initialize to CRC64_ECMA_SEED before first update).

## Detailed Description

Minimal ECMA-182 CRC64 incremental state container (running value only).

Definition at line 55 of file crc64.h.

## Field Documentation

## crc

uint64_t crc64_ctx::crc

Running CRC value (initialize to CRC64_ECMA_SEED before first update).

Definition at line 57 of file crc64.h.

Referenced by aaruf_crc64_final(), aaruf_crc64_init(), and aaruf_crc64_update().

The documentation for this struct was generated from the following file:

- include/aaruformat/crc64.h